Objects & records
List, create, update and delete records in any object — one at a time or in bulk — and read the objects themselves.
- GET
/objects/{objectId}/records - POST
/objects/{objectId}/records - GET
/objects/records/{id} - PATCH
/objects/records/{id} - DELETE
/objects/records/{id} - POST
/objects/{objectId}/records/bulk - GET
/objects - POST
/objects - GET
/objects/{id} - PATCH
/objects/{id} - DELETE
/objects/{id}
List records in an object
GET
/objects/{objectId}/recordsScope
objects:viewRead-onlyPath parameters
| Name | Type |
|---|---|
objectIdrequired | string |
Query parameters
| Name | Type |
|---|---|
limit | number |
cursor | string |
sort | string |
dir | "asc" | "desc" |
filter | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/objects/{objectId}/records?limit=25" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a record in an object
POST
/objects/{objectId}/recordsScope
objects:useWrites dataPath parameters
| Name | Type |
|---|---|
objectIdrequired | string |
Request body
| Field | Type |
|---|---|
datarequired | object |
owner | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/objects/{objectId}/records" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"data":{"policy_number":"STAR/2025/102309","premium":12600}}'Get a single record by id
GET
/objects/records/{id}Scope
objects:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/objects/records/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a record
PATCH
/objects/records/{id}Scope
objects:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Request body
| Field | Type |
|---|---|
datarequired | object |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/objects/records/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"data":{}}'Delete a record
DELETE
/objects/records/{id}Scope
objects:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/objects/records/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Bulk-create records in an object
POST
/objects/{objectId}/records/bulkScope
objects:useWrites dataPath parameters
| Name | Type |
|---|---|
objectIdrequired | string |
Request body
| Field | Type |
|---|---|
recordsrequired | array of object |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/objects/{objectId}/records/bulk" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"records":[{}]}'List object schemas
GET
/objectsScope
objects:viewRead-onlyQuery parameters
| Name | Type |
|---|---|
q | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/objects" \ -H "Authorization: Bearer $KLERC_TOKEN"Create an object (schema)
POST
/objectsScope
objects:manageWrites dataRequest body
| Field | Type |
|---|---|
namerequired | string |
pluralName | string |
slug | string |
description | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/objects" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name":"…","pluralName":"…","slug":"…","description":"…"}'Get an object schema
GET
/objects/{id}Scope
objects:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/objects/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update an object (schema / fields)
PATCH
/objects/{id}Scope
objects:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/objects/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete an object
DELETE
/objects/{id}Scope
objects:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/objects/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"